Skip to main content
GET
/
v3
/
swap
/
tokens
/
list
Get token list
curl --request GET \
  --url https://public-backend.socket.tech/v3/swap/tokens/list
{
  "success": true,
  "statusCode": 200,
  "result": {
    "8453": [
      {
        "chainId": 8453,
        "address": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
        "name": "USDC",
        "symbol": "USDC",
        "decimals": 6,
        "logoURI": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
        "isShortListed": false,
        "tags": [],
        "trendingRank": 4,
        "marketCap": 75987436982,
        "totalVolume": 14895044788,
        "balance": "0",
        "balanceInUsd": 0,
        "isVerified": true
      }
    ],
    "42161": [
      {
        "chainId": 42161,
        "address": "0xaf88d065e77c8cc2239327c5edb3a432268e5831",
        "name": "USDC",
        "symbol": "USDC",
        "decimals": 6,
        "logoURI": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
        "icon": "https://assets.coingecko.com/coins/images/6319/large/USDC.png?1769615602",
        "isShortListed": false,
        "tags": [],
        "trendingRank": 4,
        "marketCap": 75987436982,
        "totalVolume": 14895044788,
        "balance": "0",
        "balanceInUsd": 0,
        "isVerified": true
      }
    ]
  },
  "message": null
}

Query Parameters

userAddress
string
default:0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045

User wallet address

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

chainIds
string
default:42161,8453

Comma-separated chain IDs to include.

Example:

"42161,8453"

list
enum<string>
default:trending

Set the list type you want: full or trending

Available options:
full,
trending
Example:

"trending"

Response

200 - application/json

V3 swap tokens grouped by chain ID.